%define fontconfig_major 1
%define lib_name %mklibname %{name} %{fontconfig_major}
%define develname %mklibname %{name} -d

%define freetype_version 2.3.5

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}
%define rebuild_doc	0
%if %{bootstrap}
%define rebuild_doc 0
%endif

Summary: Font configuration library
Name: fontconfig
Version: 2.12.6
Release: %mkrel 1
License: MIT
Group: System/X11
Source0: http://fontconfig.org/release/fontconfig-%{version}.tar.xz
# (fc) 2.3.2-3mdk prefer urw fonts
Source1: 30-mdv-urwfonts.conf
# (fc) 2.3.2-3mdk disable antialiasing for some fonts
Source3: 20-mdv-disable-antialias.conf
# (fc) 2.3.2-3mdk  Avoid KDE/QT uses some bitmapped fonts (guisseppe)
Source5: 30-mdv-avoid-bitmap.conf
# (fc) 2.4.2-1mdv disable embedded bitmap for big size (Mdv bug #25924)
Source8: 26-mdv-no-embeddedbitmap.conf
# (fc) 2.4.92-1mdv enable embeddedbitmap on some CJK fonts (Fedora)
Source10: 25-no-bitmap-fedora.conf
# (fc) 2.1-4mdk change order of default fonts
Patch1: fontconfig-mdvconfig.patch
# (fc) 2.11.94 Sleep less
Patch2: fontconfig-sleep-less.patch

URL: http://fontconfig.org/

Requires(post): %{lib_name}  >= %{version}-%{release}
BuildRequires: pkgconfig(freetype2) >= %{freetype_version}

BuildRequires: ed
%if %{rebuild_doc}
BuildRequires: docbook-utils
BuildRequires: docbook-utils-pdf
BuildRequires: docbook-dtd31-sgml
BuildRequires: docbook-dtd41-sgml
%endif
BuildRequires: lynx
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: libxml2-utils
BuildRequires:	gperf

# fwang: add conflicts to ease upgrade
Conflicts:	x11-font-wqy-bitmapfont < 1.0-0.20070901.1

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by
applications.

%package -n %{lib_name}
Summary: Font configuration and customization library
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}
Provides: lib%{name} = %{version}-%{release}
Provides: %{name}-libs = %{version}-%{release}

%description -n %{lib_name}
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by
applications.

%package -n %{develname}
Summary: Font configuration and customization library
Group: Development/Libraries
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Requires: freetype2-devel >= %{freetype_version}
Obsoletes: %mklibname -d %{name} 1

%description -n %{develname}
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which
will use fontconfig.

%prep
%setup -q
%apply_patches

%build
%if !%{rebuild_doc}
export HASDOCBOOK=no
%endif

%configure2_5x --localstatedir=/var \
   --with-add-fonts="/usr/share/fonts,/usr/share/X11/fonts/Type1,/usr/share/X11/fonts/TTF,/usr/local/share/fonts,/usr/lib/X11/fonts,/opt/ttfonts" \
   --enable-libxml2 \
   --disable-static

%make_build

%install
rm -rf %buildroot
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/fonts/conf.d
cp %{SOURCE1} %{SOURCE3} %{SOURCE5} %{SOURCE8} %{SOURCE10} %{buildroot}%{_sysconfdir}/fonts/conf.d

# needed in case main config files isn't up to date
cat << EOF > %{buildroot}%{_sysconfdir}/fonts/conf.d/00-cache.conf
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<!-- Font cache directory list -->

        <cachedir>/var/cache/fontconfig</cachedir>
        <cachedir>~/.fontconfig</cachedir>

</fontconfig>
EOF

ln -s %{_datadir}/fontconfig/conf.avail/25-unhint-nonlatin.conf %{buildroot}%{_sysconfdir}/fonts/conf.d

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/fontconfig

# we don't want these
find %{buildroot} -name "*.la" -delete

%post
%{_bindir}/fc-cache --force --system-only >/dev/null

%triggerprein -- fontconfig < 2.4.0
rm -f %{_var}/cache/fontconfig/*.cache-2

# rpm filetriggers to update cache
%transfiletriggerin --  /usr/share/fonts /usr/share/X11/fonts/Type1 /usr/local/share/fonts /usr/lib/X11/fonts /opt/ttfonts
fc-cache -s

%files
%doc README AUTHORS COPYING doc/fontconfig-user.html doc/fontconfig-user.txt
%dir %{_var}/cache/fontconfig
%{_bindir}/*
%dir %{_sysconfdir}/fonts
%dir %{_sysconfdir}/fonts/conf.d
# those files must NOT have noreplace option
%config %{_sysconfdir}/fonts/fonts.conf
%config %{_sysconfdir}/fonts/conf.d/*.conf
%config %{_sysconfdir}/fonts/conf.d/README
%{_datadir}/fontconfig
%{_datadir}/xml/fontconfig/fonts.dtd
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{lib_name}
%{_libdir}/*.so.%{fontconfig_major}
%{_libdir}/*.so.%{fontconfig_major}.*

%files -n %{develname}
%doc doc/fontconfig-devel doc/fontconfig-devel.txt
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man3/*


%changelog
* Fri Sep 29 2017 bb2 <bb2> - 2.12.6-1pclos2017
- update to go with new freetype2
